import * as React from 'react';
export declare type IFindResultsOwnProps = {
    results: any[];
    folder: string;
    styles?: any;
};
export declare type IFindResultsStateProps = {
    width?: number;
};
export declare type IFindResultsDispatchProps = {
    setError?: (error: string, type: string) => any;
};
export declare type IFindResultsProps = IFindResultsOwnProps & IFindResultsStateProps & IFindResultsDispatchProps;
export interface IFindResultsState {
    height?: number;
    treeData?: any[];
}
export declare class FindResultsComponent extends React.Component<IFindResultsProps, IFindResultsState> {
    private containerRef;
    constructor(props: IFindResultsProps);
    componentWillReceiveProps(nextProps: IFindResultsProps): void;
    componentDidUpdate(prevProps: any, prevState: any): void;
    private filterFolder;
    private getTreeData;
    private changeTree;
    private removeNode;
    private renderStats;
    render(): JSX.Element;
}
